﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using HeuristicLab.MainForm;
using HeuristicLab.Core.Views;
using HeuristicLab.Core;

namespace HeuristicLab.Problems.MetaOptimization.Views {
  /// <summary>
  /// The visual representation of a <see cref="ParameterConfiguration"/>.
  /// </summary>
  [View("ParameterConfiguration View")]
  [Content(typeof(IParameterConfiguration), true)]
  public partial class ParameterConfigurationView : ItemView {
    /// <summary>
    /// Gets or sets the variable to represent visually.
    /// </summary>
    /// <remarks>Uses property <see cref="ViewBase.Item"/> of base class <see cref="ViewBase"/>.
    /// No own data storage present.</remarks>
    public new IParameterConfiguration Content {
      get { return (IParameterConfiguration)base.Content; }
      set { base.Content = value; }
    }

    public ParameterConfigurationView() {
      InitializeComponent();
    }

    protected override void OnContentChanged() {
      base.OnContentChanged();
      if (Content != null) {
        optimizeCheckBox.Checked = Content.Optimize;
        viewHost.Content = Content.Parameter;
      } else {
        optimizeCheckBox.Checked = false;
        viewHost.Content = null;
      }
    }

    protected override void SetEnabledStateOfControls() {
      base.SetEnabledStateOfControls();
    }

    private void optimizeCheckBox_CheckedChanged(object sender, EventArgs e) {

    }
  }
}
