﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HeuristicLab.Core;

namespace HeuristicLab.Problems.MetaOptimization {
  public class ParameterSet : Item, IParameterSet {
    private List<KeyValuePair<string, IParameter>> parameters;
    public IEnumerable<KeyValuePair<string, IParameter>> Parameters {
      get { return parameters; }
    }

    public ParameterSet() {
      this.parameters = new List<KeyValuePair<string, IParameter>>();
    }
    public ParameterSet(ParameterConfigurationList parametersToOptimize, IRandom random)
      : this() {
      foreach (IParameterConfiguration config in parametersToOptimize.CheckedItems) {
        parameters.Add(new KeyValuePair<string, IParameter>(config.Category, config.GetParameterWithRandomValue(random)));
      }
    }


  }
}
